package com.kurukurupapa.tryandroid.fw;

import com.kurukurupapa.tryandroid.fw.util.ActivityUtil;
import com.kurukurupapa.tryandroid.fw.util.LogUtil;

import android.app.Activity;
import android.os.Bundle;

/**
 * @deprecated
 */
public class FwActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		LogUtil.called();

		ActivityUtil.initializeActivity(this);
	}

	@Override
	protected void onStart() {
		super.onStart();
		LogUtil.called();
	}

	@Override
	protected void onResume() {
		super.onResume();
		LogUtil.called();
	}

	@Override
	protected void onPause() {
		super.onPause();
		LogUtil.called();
	}

	@Override
	protected void onStop() {
		super.onStop();
		LogUtil.called();
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		LogUtil.called();
	}

	@Override
	protected void onRestart() {
		super.onRestart();
		LogUtil.called();
	}

}
